# RaySensor Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A RaySensor is a special kind of a general sensor More...

`#include <raysensor.h>`

Inherits: Sensor

## Public Members

- RaySensor ()
- ~RaySensor ()
- PyObject* getHitPosition ()
- PyObject* getHitObject ()

## Detailed Description

A RaySensor is a special kind of a general sensor.

## PyObject* getHitPosition()

Returns the position where the object was hit by this ray.

## PyObject* getHitObject()

Returns the name of the object that was hit by this ray.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc